Aspirateur icône

Les icônes sont présents à l'intérieur des fichiers binaires de Windows dans la partie ressources. Ce sont donc principalement les fichiers portant l'extension .exe ou .dll (et ses dérivés ex : .ocx .cpl...).
En général l'utilisateur ne perçoit que l'icône principal (index 0) d'un programme dans la mesure ou il est affiché par défaut dans Windows (sur le bureau, dans l'explorateur de fichier...). Pourtant, les programmes en contiennent généralement beaucoup plus, et certaines dll de Windows en contiennent plusieurs dizaines (ex : moricons.dll).

Aspiricon se charge alors d'extraire automatiquement les icônes contenus dans un fichier ou une arborescence de fichiers.

Une fois récupérés, vous pouvez sauvegarder un icône au format standard de Windows (.ico) ou le copier dans le presse papier.

Aspiricon est un programme multithread, ce qui vous autorise à lancer simultanément autant de recherches d'icônes que la puissance de votre PC le permet.


aspiricon

Récupérer les icônes.

Vous devez simplement indiquer au logiciel le fichier ou répertoire sur lequel il doit effectuer sa recherche.

En premier lieu, il faut indiquer à aspiricon une source (fichier ou répertoire).

Le logiciel ouvre alors une ou plusieurs fenêtres de travail.


Séléction fichier ou dossier

Fichier / Nouveau

La fenêtre de sélection d'un fichier ou répertoire apparaît

Dans le cas du choix d'un répertoire (ex : c:\Windows) vous avez la possibilité d'explorer les sous répertoires en sélectionnant l'option récursif.

Une autre possibilité de sélection, consiste à "glisser déplacer" un fichier depuis l'explorateur de fichier vers la zone de réception.

Le choix du mode récursif signifiant au logiciel d'explorer également les sous-répertoires.


En cours

La fenêtre de travail s'ouvre une fois le choix de la source effectué.

Le répertoire ou fichier de départ est indiqué dans la barre de titre.

Le fichier en cours d'exploration est indiqué en grisé sous les menus.

Les icônes trouvés sont affichés au fur et à messure dans la fenêtre.

A tous moments, il est possible d'arrêter une exploration en sélectionnant le menu "arrêter".

La sélection du menu "Suspendre" correspond elle à une interruption momentannée. Il est ensuite possible de reprendre l'extraction au point ou elle a été interrompue à l'aide du menu "Reprendre".

Le menu "journal" affiche la liste des fichiers explorés avec le nombre d'icônes contenus.

On repasse dans le mode icônes par le menu "affichage".

En positionnant le curseur sur un icône, un hint apparaît, indiquant sa provenance.

En cliquant avec le bouton droit de la souris sur un icône, un menu permettant de sauvegarder l'icône ou de le copier dans le presse papier apparaît.


A propos

http://www.ahmosys.com

Retrouvez tous les détails de la programmation de aspiricon

dans les ateliers Delphi.


ateliers Delphi

Les ateliers Delphi

vous guident pas à pas

dans la réalisation de

programme avec Delphi.

A travers "aspiricon"

vous aborderez

notamment :

- Réaliser un projet avec delphi

- Découper un projet

- Tester les fonctions clefs et la

faisabilité

- Développer de nouveaux composants

- Evènnements et propriétés dans un

composant

- Lister les fichiers d'un répertoire

Windows récursivement

- Drag and drop fichiers windows

- Programmation multi-tache avec

Delphi

- Intégration des aides au format html

(.chm)